# applyMoveChargeAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyMoveChargeAttrs

- applyMoveChargeAttrs(
  attrType: Constructor < MoveAttr >,
  user: null | default ,
  target: null | default ,
  move: ChargingMove ,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < MoveAttr >
  - user: null | default
  - target: null | default
  - move: ChargingMove
  - ...args: any[]

  #### Returns void

  - Defined in src/data/moves/move.ts:7993